; This displays a signon message on the LCD display for the MPM version of the Propeller emulation
; It's main function is to demonstrate the LCD display is working and ready for use by a program
; port 30H is the control port (see control instructions below)
; port 31H is the data port


;1 Clear display and move to the start of the first line
;2 Move the cursor and display window to the start of the first line
;4 Set right to left printing mode
;5 Set scroll printing to the left mode
;6 Set left to right printing mode
;7 Set scroll printing to the right mode
;10 Turn visual LCD screen off
;12 Hide cursor
;13 Make cursor flash (and turn it on)
;14 Turn visual LCD screen (and non flashing cursor) on
;16 Move cursor left one position
;20 Move cursor right one position
;24 Scroll display window left one position
;28 Scroll display window right one position
;128 Move cursor to the start of the first line
;192 Move cursor to the start of the second line
;148 move cursor to start of 3rd line
;212 move cursor to start of 4th line

; this version for compiling with TASM. For compiling using M80/L80 on N8VEM, remove . from equ, end and db
; and put org in at 0100H (m80 doesn't like org and always compiles to 0100

; example of the batch file to compile this with TASM

;tasm -t80 -b LCDBOOT.asm LCDBOOT.com
;pause

	.org	0100H	;start of program


test:   call clearscreen
	ld hl,0500H	; print the text here
	call printline
	ld a,192
        out (30H),a	; cursor to start of second line
	ret


clearscreen:
	ld a,1
	out (30H),a	; clear screen
	ld a,13
	out (30H),a	; cursor on
	ret
		

printline:		;pass hl=location to print, prints 20 characters
	ld b,19		; number of characters
line:	ld a,(hl)
	out (31H),a	; send it out
	inc hl		; increment
	djnz line	; loop 19x
	ret

	
	.org 0500H
	.byte "MP/M II V2.1"


	.end
; end program
